Skip to main content
GET
/
v1
/
self
/
mfa
/
List MFA devices for the authenticated user
curl --request GET \
  --url https://api.arklow.io/v1/self/mfa/ \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "items": [
      {
        "id": "<string>",
        "user_id": "<string>",
        "name": "<string>",
        "device_type": "totp",
        "confirmed_at": "2023-11-07T05:31:56Z",
        "last_used_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "count": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Query Parameters

take
number
Required range: 1 <= x <= 50
skip
number
Required range: x >= 0
count_only
boolean

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required